ACPI Warning

3 risposte [Ultimo contenuto]
Ritratto di DebCat
DebCat
(Geek)
Offline
Geek
Iscritto: 17/12/2015
Messaggi: 67

Buona sera a tutti. Il mio piu' che un problema (almeno spero che non lo sia) è una curiosità: dopo aver dato il comendo dmesg ho notato che ci sono una serie di ACPI warning. La distribuzione è Debian Stretch. Qualcuno mi potrebbe chiarire la natura di questi messaggi? Grazie in anticipo.

[ 9.492473] EFI Variables Facility v0.08 2004-May-17
[ 9.502607] input: PC Speaker as /devices/platform/pcspkr/input/input8
[ 9.510764] ACPI Warning: SystemIO range 0x0000000000000428-0x000000000000042F conflicts with OpRegion 0x0000000000000400-0x000000000000047F (\PMIO) (20160422/utaddress-255)
[ 9.511763] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 9.512775] ACPI Warning: SystemIO range 0x0000000000000540-0x000000000000054F conflicts with OpRegion 0x0000000000000500-0x0000000000000563 (\GPIO) (20160422/utaddress-255)
[ 9.513921] ACPI Warning: SystemIO range 0x0000000000000540-0x000000000000054F conflicts with OpRegion 0x0000000000000500-0x000000000000057F (\_SB.PCI0.LPCB.GPBX) (20160422/utaddress-255)
[ 9.515083] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 9.516257] ACPI Warning: SystemIO range 0x0000000000000530-0x000000000000053F conflicts with OpRegion 0x0000000000000500-0x0000000000000563 (\GPIO) (20160422/utaddress-255)
[ 9.517495] ACPI Warning: SystemIO range 0x0000000000000530-0x000000000000053F conflicts with OpRegion 0x0000000000000500-0x000000000000057F (\_SB.PCI0.LPCB.GPBX) (20160422/utaddress-255)
[ 9.518805] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 9.520116] ACPI Warning: SystemIO range 0x0000000000000500-0x000000000000052F conflicts with OpRegion 0x0000000000000500-0x0000000000000563 (\GPIO) (20160422/utaddress-255)
[ 9.521486] ACPI Warning: SystemIO range 0x0000000000000500-0x000000000000052F conflicts with OpRegion 0x0000000000000500-0x000000000000057F (\_SB.PCI0.LPCB.GPBX) (20160422/utaddress-255)
[ 9.522922] ACPI Warning: SystemIO range 0x0000000000000500-0x000000000000052F conflicts with OpRegion 0x0000000000000500-0x000000000000050F (\_GPE.GPIO) (20160422/utaddress-255)
[ 9.524401] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[ 9.525903] lpc_ich: Resource conflict(s) found affecting gpio_ich
[ 9.579931] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[ 9.959695] pstore: Registered efi as persistent store backend

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2918

Il kernel ti sta dicendo: questo BIOS fa schifo, ma posso cavarmela da solo. Se fosse stato un errore invece che un warning, allora qualcosa non avrebbe funzionato. Se non ci fosse stato alcun warning, il kernel potrebbe non essersi nemmeno accorto che c'era qualcosa che non andava. Invece ha notato un'anomalia in uno degli strati bassi del tuo PC (il BIOS, il firmware, l'ACPI, ecc.) ma la ritiene sormontabile.

Con molta probabilità il colpevole è il PC speaker. Puoi provare a vedere se, disabilitando il modulo pcspkr, i warning spariscono. Basta che all'avvio passi al kernel il parametro modprobe.blacklist=pcspkr (vale per un solo avvio; se lo vuoi rendere permanente devi creare un file in /etc/modprobe.d ma ti lascio i dettagli come compito per casa!). Nota che disabilitando questo modulo perdi la piacevolissima funzionalità del "bip" che fa così anni '80... Wink

Ritratto di DebCat
DebCat
(Geek)
Offline
Geek
Iscritto: 17/12/2015
Messaggi: 67

Ho disattivato il modulo con modprobe -r pcspkr e l'ho messo in blacklist, successivamente ho pulito il buffer del kernel ho riavviato e mi sono assicurato che il modulo non fosse stato caricato dando lsmod, ma il ACPI warning c'è lo stesso. La cosa strana è che alcuni mesi fa questo problama non c'era.

Ritratto di DebCat
DebCat
(Geek)
Offline
Geek
Iscritto: 17/12/2015
Messaggi: 67

Ho provato a mettere in blacklist il modulo lpc_ich e il warning non compare piu'. Però penso di toglierlo dalla blacklist per vedere se con i prossimi aggiornamenti del kernel il warning scompare, sempre se questo non pregiudichi la stabilità del sistema.